org.apache.maven.scm.provider.svn

## Class SvnChangeSet

- java.lang.Object
- - org.apache.maven.scm.ChangeSet
  - - org.apache.maven.scm.provider.svn.SvnChangeSet

All Implemented Interfaces:
  Serializable

    public class SvnChangeSet
    extends ChangeSet

Version:
  $Id: SvnChangeSet.java 686352 2008-08-15 19:57:01Z vsiveton $
Author:
  Emmanuel Venisse
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.maven.scm.ChangeSet

`AMPERSAND_ENTITY, APOSTROPHE_ENTITY, GREATER_THAN_ENTITY, LESS_THAN_ENTITY, QUOTE_ENTITY`

### Constructor Summary

Constructors
Constructor and Description
`SvnChangeSet()`
`SvnChangeSet(Date date, String comment, String author, List files)`
`SvnChangeSet(String strDate, String userDatePattern, String comment, String author, List files)`

### Method Summary

Methods
`boolean` `containsFilename(String filename, ScmProviderRepository repository)`

### Methods inherited from class org.apache.maven.scm.ChangeSet

`addFile, containsFilename, equals, escapeValue, getAuthor, getComment, getDate, getDateFormatted, getFiles, getRevision, getTimeFormatted, hashCode, setAuthor, setComment, setDate, setDate, setDate, setFiles, setRevision, toString, toXML`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SvnChangeSet

    public SvnChangeSet()

#### SvnChangeSet

    public SvnChangeSet(String strDate,
                String userDatePattern,
                String comment,
                String author,
                List files)

#### SvnChangeSet

    public SvnChangeSet(Date date,
                String comment,
                String author,
                List files)

### Method Detail

#### containsFilename

    public boolean containsFilename(String filename,
                           ScmProviderRepository repository)

Overrides:
  `containsFilename` in class `ChangeSet`
  `repository` - NOT USED
Returns: